Subject: Hillary Clinton's REVENGE On Trump Voters? UNCENSORED VIDEO

From: "HSI Leaks" <[email-masked]>
Date: Thu, 19 Jan 2017 12:07:44 -0800

Your email client does not support HTML, this email must be viewed in HTML mode.